Update Distributed Vlan Connection

Update Distributed Vlan Connection
Update a Distributed VLAN Connection

Updates a specific Distributed VLAN Connection.

Request
URI
PUT
https://{api_host}/cloudapi/v1/distributedVlanConnections/{distributedVlanConnectionId}
COPY
Path Parameters
string
distributedVlanConnectionId
Required

distributedVlanConnectionId


Request Body
DistributedVlanConnection of type(s) application/json
Optional
{
    "status": "string",
    "id": "urn:vcloud:distributedVlanConnection:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "name": "string",
    "description": "string",
    "vlanId": 0,
    "gatewayCidr": "10.10.10.1/24",
    "regionRef": {
        "name": "string",
        "id": "string"
    },
    "zoneRefs": [
        {
            "name": "string",
            "id": "string"
        }
    ],
    "ipSpaceRef": {
        "name": "string",
        "id": "string"
    },
    "subnetExclusive": false,
    "backingId": "string",
    "dedicatedOrgRef": {
        "name": "string",
        "id": "string"
    },
    "dedicatedSharedSubnetRef": {
        "name": "string",
        "id": "string"
    }
}
Authentication
This operation uses the following authentication methods.
Responses
202

The request have been accepted and the task to monitor the request is in the Location header.

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"gatewayCidr":"string","name":"string","regionRef":"object","vlanId":"integer"}' https://{api_host}/cloudapi/v1/distributedVlanConnections/{distributedVlanConnectionId}